#include<iostream>
using namespace std;
 int main()
 {
 	 long long n,q,a,b,br=0;
 	 cin>>n;
 	 long long niz[n];
 	 for(long long i=0; i<n; i++){
 	 	cin>>niz[i];
	  }
	  cin>>q;
	  bool niz1[q];
	  for(long long i=0; i<q; i++)
	  {
	  	cin>>a;
	  	cin>>b;
	  	a=a-1;
	  	b=b-1;
	  	br=0;
	  		if(a!=b)
	  		{
			  for(long long j=a; j<=b-1; j++)
			  {
	  			if(niz[j]>niz[j+1])
	  			{
	  				br++;
				  }
				  if(br>1){
				  	break;
				  }
			  }
			  if(br>1)
			  {
			  	niz1[i]=false;
			  }
			  else
			  {
			  	niz1[i]=true;
			  }
			}
			else
			{
				niz1[i]=true;
			}
	  }
	  for(int i=0; i<q; i++)
	  {
	  	if(niz1[i]==false){
	  		cout<<"NE"<<endl;
		  }
		  else
		{
			cout<<"DA"<<endl;
		}
	  }
	
 }